> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Object
> This API returns the details of a specific conversation (object).
Data includes information about the customer, the agent, and a separate account of the messages (Child) of the conversation (Object).
Note that the last communication will appear at the top of the report.
Required path params are the **Stream (channel) Id** and **Object (conversation) Id** - Stream Id could be encrypted or not. (GET) /streams/STREAM_ID/objects/OBJECT_ID
Example:
https://api.commbox.io/streams/532/objects/293854
Note: When Children are not included in the request, the API only returns the last message. When requesting logs (optional), the return will include all system actions (for example, CRM activity) for the conversation.
## OpenAPI
````json GET /streams/{STREAM_ID}/objects/{OBJECT_ID}
{
"openapi": "3.0.3",
"info": {
"title": "CommBox API",
"x-logo": {
"url": "https://www.commbox.io/logo/commbox_logo_large.png"
},
"version": "2.07",
"termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
"contact": {
"name": "commbox",
"url": "https://www.commbox.io",
"email": "contactus@commbox.io"
}
},
"servers": [
{
"url": "https://api.commbox.io/",
"description": "Production server"
}
],
"security": [
{
"BearerAuth": []
}
],
"tags": [
{
"name": "Core",
"description": "
Systemwide verification"
},
{
"name": "Objects",
"description": "
Objects are conversations between the AI Agent or the human agent and the customers, where each segment of the conversation is referred to as a Child. Every conversation must have a designated Stream – a communication channel such as Chat, Email, Text/SMS, etc., through which the conversation takes place.
The Object APIs category concentrates on a specific conversation, where the Stream is part of the identifying parameters. In contrast, the Streams APIs category, the Channel is the focal point of the request, and the objects and users are the filtering aspects."
},
{
"name": "Media",
"description": "Converting media files to Base64"
},
{
"name": "AI Services",
"description": "APIs that provide AI capabilities by the platform. "
},
{
"name": "Streams",
"description": "
Streams are communication channels used in CommBox, such as Chat, WhatsApp, SMS/Text, etc. In the Streams category of APIs, the channel is the focal point of the request, and the objects and users are the filtering aspects. See the Enums Section for available channels and their CommBox code."
},
{
"name": "Tags",
"description": "
Tags are a classification tool for summarizing aspects of the conversation or the user. It can mark the conversation to indicate a new sale or identify a customer as not interested in the product. To help manage the Tags assets, Tags can be grouped with a common identifier."
},
{
"name": "SMS",
"description": "
Sending customers **SMS messages** (Texting) requires an initial opt-in step, which is not offered by CommBox and is the sole responsibility of the sending entity (Business)."
},
{
"name": "WhatsApp",
"description": "
CommBox facilitates activities in **WABA** for the clients. Our platform helps clients create new templates and manage existing ones.
**Opt-in for WhatsApp**
Before sending WhatsApp messages to someone, you must first receive opt-in permission confirming that they wish to receive future messages from you on WhatsApp. This can be done using any channel your business uses to communicate with people — your website, app, email, retail location, etc.
- The opt-in must be an active opt-in, which means it must be triggered by a user action, such as entering a phone number or checking a box to indicate consent.
- The opt-in must clearly state your business’ name.
- Clear opt-in messaging so that the customers know what type(s) of messaging they are signing up for.
For more information, please visit: https://developers.facebook.com/docs/whatsapp/guides/opt-in/"
},
{
"name": "Campaigns",
"description": "Send WhatsApp campaigns via an API. Campaigns are reflected in the metrics page in the platform."
},
{
"name": "Users",
"description": "
**Users** are people recorded in CommBox and they include both the business side and the customers.
Managers are APIs that deal with the business personas such as Admins, Agents, Team leaders, etc., and they include **Profiles**, **Presence**, **Assignments**, **Notifications**, and **Teams** sub-categories.
General USERS"
},
{
"name": "Managers",
"description": "
The **MANAGERS** APIs category relates to activities involving the Admins, Team Leaders, Agents, and any other business-related persona. This category includes **Profiles**, **Presence**, **Assignments**, **Notifications**, and **Teams** sub-categories."
},
{
"name": "Profiles",
"description": "
**Profiles** relate to system permissions and enabled activities assigned to a group of agents (managers).
When looking for a specific user, the USER ID is required.
The profile ID is required when selecting a specific profile (See Enum section)."
},
{
"name": "Presence",
"description": "
The Presence APIs relate to the agent availability status. Active and ready for assignment, Busy, or Away from the desk. Additional statuses can be created by the admin."
},
{
"name": "Assignments",
"description": "
The **Assignments** category relates to conversations (Objects) assigned to a specific agent."
},
{
"name": "Teams",
"description": "A Team is a group of agents with specific business agendas, roles, and permissions. Admins and Team Managers can set up Team Managers to create and manage teams and give those teams specific inbox filters, tags, and knowledge-based assets."
},
{
"name": "Audiences",
"description": "The Audiences APIs allow the creation, editing and listing of organizational audiences used for campaigns."
},
{
"name": "Forms",
"description": "The Forms APIs allow agents to assist customers in completing and signing forms issued by the organization. Once the customer submits the form, a new object is created that includes a link to the original conversation and stores the completed, signed form as an attachment."
},
{
"name": "Authentication",
"description": "Authentication APIs provide accessibility to the system."
},
{
"name": "Automation",
"description": "
Automation APIs are related to chatbot capabilities."
},
{
"name": "Transcription",
"description": "
**Transcription** turns a call recording into readable, speaker-attributed messages inside the conversation."
}
],
"x-tagGroups": [
{
"name": "API Calls",
"tags": [
"Core",
"Objects",
"Media",
"AI Services",
"Streams",
"Tags",
"SMS",
"WhatsApp",
"Users",
"Managers",
"Profiles",
"Presence",
"Assignments",
"Teams",
"Audiences",
"Forms",
"Authentication",
"Automation"
]
}
],
"paths": {
"/streams/{STREAM_ID}/objects/{OBJECT_ID}": {
"get": {
"tags": [
"Objects"
],
"summary": "Get Object",
"description": "This API returns the details of a specific conversation (object).
Data includes information about the customer, the agent, and a separate account of the messages (Child) of the conversation (Object).
Note that the last communication will appear at the top of the report.
Required path params are the **Stream (channel) Id** and **Object (conversation) Id** - Stream Id could be encrypted or not. (GET) /streams/STREAM_ID/objects/OBJECT_ID
Example:
https://api.commbox.io/streams/532/objects/293854
Note: When Children are not included in the request, the API only returns the last message. When requesting logs (optional), the return will include all system actions (for example, CRM activity) for the conversation. ",
"operationId": "Get_Object",
"parameters": [
{
"name": "STREAM_ID",
"in": "path",
"description": "Stream Id is a CommBox generated number for the channel.",
"required": true,
"schema": {
"$ref": "#/components/parameters/STREAM_ID/schema"
}
},
{
"name": "OBJECT_ID",
"in": "path",
"description": "Object Id is a CommBox generated number for the conversation.",
"required": true,
"schema": {
"$ref": "#/components/parameters/OBJECT_ID/schema"
}
},
{
"$ref": "#/components/parameters/includeChilds"
},
{
"$ref": "#/components/parameters/includeActivityLog"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 200
},
"description": {
"type": "string",
"example": "Operation successful"
},
"response_time": {
"type": "string",
"example": "2024-08-06T07:51:52.2581942Z"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"objectId": {
"description": "A CommBox generated number for the conversation",
"type": "integer",
"example": 293854
},
"streamId": {
"description": "A CommBox generated number for the channel – This will be the unencrypted format of the channel Id.",
"type": "integer",
"example": 53211
},
"subStreamId": {
"description": "A CommBox generated number for the subchannel. A Sub-stream is not required when calling an API.",
"type": "integer",
"example": 2432
},
"streamProviderId": {
"type": "string",
"example": "972505555555"
},
"streamProviderType": {
"type": "integer",
"example": 5
},
"user_identity": {
"description": "A CommBox generated number for the user",
"type": "integer",
"example": 528986
},
"firstName": {
"description": "When not provided, system will use the email address.",
"type": "string",
"example": "Eddie"
},
"lastName": {
"type": "string",
"example": "Doe"
},
"userStreamProviderId": {
"description": "The unique Id for communication (email, phone number) of user",
"type": "string",
"example": "972505555555_by"
},
"userStreamProviderType": {
"description": "A CommBox generated number – see Enums",
"type": "integer",
"example": 5
},
"content": {
"description": "
Summary of the technical aspects of communication. May include the language used, direction (Rt. for Arabic and Hebrew), URL of origin, system details (assignments to agent, acceptance of email, etc.), subject matter (emails), and an initiation time.",
"type": "string",
"example": "{\\\"guidRT\\\":\\\"82c952166e0b4989b932c41d1\\\",\\\"languages\\\":[{\\\"Item1\\\":\\\"he\\\",\\\"Item2\\\":1329062}],\\\"originUrl\\\":\\\"https://apps.commbox.com/Demo\\\",\\\"isConnected\\\"true,\\\"first_assigned_time\\\":\\\"2023-09-05T08:44:20\\\",\\\"sequence_start_time\\\":\\\"2023-09-0508:55:06.000000\\\",\\\"dropOutAggregationState\\\":1}"
},
"message": {
"description": "Content of the message",
"type": "string",
"example": "I need some help"
},
"createdTime": {
"type": "string",
"example": "2024-08-06T07:51:52.2581942Z"
},
"updatedTime": {
"type": "string",
"example": "2024-08-06T07:51:52.2581942Z"
},
"closeTime": {
"type": "string",
"example": null
},
"firstResponseTime": {
"type": "string",
"example": "2024-08-06T07:51:52.2581942Z"
},
"lastResponseTime": {
"type": "string",
"example": "2024-08-10T07:51:52.2581942Z"
},
"statusId": {
"description": "A CommBox generated number for conversation status – see Enums",
"type": "integer",
"example": 1
},
"assignedManagerId": {
"description": "Id of agent / admin",
"type": "integer",
"example": 571562
},
"lastAssignedManagerId": {
"description": "Id of the last agent / admin for this object",
"type": "integer",
"example": 571562
},
"type": {
"type": "integer",
"example": 4
},
"user": {
"type": "object",
"properties": {
"id": {
"description": "A CommBox generated number for the user",
"type": "integer",
"example": 520760
},
"uniqueId": {
"description": "Unique ID from Customer Info pane",
"type": "string",
"example": "12345"
},
"phone1": {
"description": "As appears in the Customer Info section. System adds country code.",
"type": "string",
"example": "972531234567"
},
"phone2": {
"type": "string",
"example": "972501234332"
},
"email": {
"description": "User email from Customer Info pane",
"type": "string",
"example": "eddiedoe@gmail.com"
},
"firstName": {
"type": "string",
"example": "Eddie"
},
"lastName": {
"type": "string",
"example": "Doe"
},
"gender": {
"description": "User gender from Customer Info pane",
"type": "string",
"example": "Male"
},
"numberIdentities": {
"type": "integer",
"example": 3
},
"locale": {
"type": "string",
"example": "en_US"
},
"birthday": {
"type": "string",
"example": "01/01/1980"
},
"remarks": {
"type": "string",
"example": "test remark.."
},
"content": {
"description": "Added field to the Customer Info pane",
"type": "string",
"example": "{}"
}
}
},
"isManager": {
"description": "When True: User is an agent / admin. When False: User is a customer",
"type": "boolean",
"example": false
},
"childs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"description": "A CommBox generated number for child",
"type": "integer",
"example": 123456
},
"object_id": {
"description": "A CommBox generated number for conversation",
"type": "integer",
"example": 1234
},
"content": {
"type": "string",
"example": "{}"
},
"message": {
"type": "string",
"example": "some message..."
},
"createdTime": {
"type": "string",
"example": "2024-08-06T07:51:52.2581942Z"
},
"streamProviderType": {
"type": "integer",
"example": 5
},
"user": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 520760
},
"managerId": {
"type": "integer",
"example": 78123
},
"isManager": {
"description": "When True: User is an agent / admin. When False: User is a customer",
"type": "boolean",
"example": true
},
"identity": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 531826
},
"streamProviderId": {
"type": "string",
"example": "972505555555"
},
"streamProviderType": {
"type": "integer",
"example": 5
},
"firstName": {
"type": "string",
"nullable": true,
"example": null
},
"lastName": {
"type": "string",
"nullable": true,
"example": null
},
"thumbnailUrl": {
"description": "If the agent/admin has an associated thumbnail picture, the URL to the file will be listed here.",
"type": "string",
"nullable": true,
"example": null
}
}
}
}
}
}
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 400
},
"description": {
"type": "string",
"example": "Bad Request"
},
"response_time": {
"type": "string",
"format": "date-time"
}
}
}
}
}
},
"401": {
"description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 401
},
"description": {
"type": "string",
"example": "Unauthorized access"
},
"response_time": {
"type": "string",
"format": "date-time"
}
}
}
}
}
},
"404": {
"description": "Not Found - The requested resource is not found",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 404
},
"description": {
"type": "string",
"example": "Not found"
},
"response_time": {
"type": "string",
"format": "date-time"
}
}
}
}
}
},
"429": {
"description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 429
},
"description": {
"type": "string",
"example": "Too Many Requests"
},
"response_time": {
"type": "string",
"format": "date-time"
}
}
}
}
}
},
"500": {
"description": "Internal Server Error - The server could not return the representation due to an internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 500
},
"description": {
"type": "string",
"example": "Operation failed"
},
"response_time": {
"type": "string",
"format": "date-time"
}
}
},
"example": {
"status": 500,
"description": "Operation failed",
"response_time": "2025-04-15T07:24:52.956691Z"
}
}
}
},
"501": {
"description": "Not Implemented - The requested operation is not supported"
}
}
}
}
},
"components": {
"parameters": {
"includeChilds": {
"name": "includeChilds",
"in": "query",
"description": "Return objects with their childs (optional, default false)",
"schema": {
"type": "boolean"
}
},
"includeActivityLog": {
"name": "includeActivityLog",
"in": "query",
"description": "Return objects with their activity log (optional, default false)",
"schema": {
"type": "boolean"
}
}
},
"securitySchemes": {
"BearerAuth": {
"type": "http",
"scheme": "bearer",
"description": "API key is needed to authorize requests. You can get your API key via the management console. A Bearer Token is needed to be set in the Authorization header of every API call. For additional support you can contact us."
}
}
}
}
````